require "./dns_class"
require "./rr_type"

module AsyncDNS
  class Query
    getter domain : String
    getter dns_class : DNSClass
    getter rr_type : RRType

    def initialize(domain : String, @dns_class : DNSClass, @rr_type : RRType)
      domain += '.' unless domain.ends_with?('.')
      @domain = domain
    end
  end
end
